Bug 1129394 - 2.0.49 - Gear upgrade in INT fails to parse quota properly on XFS filesystems (ex-lrg-node1)
Summary: 2.0.49 - Gear upgrade in INT fails to parse quota properly on XFS filesystems...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Online
Classification: Red Hat
Component: Containers
Version: 2.x
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 2.x
Assignee: Andy Goldstein
QA Contact: libra bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-12 16:10 UTC by Adam Miller
Modified: 2015-05-14 23:37 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-10 00:50:28 UTC


Attachments (Terms of Use)

Description Adam Miller 2014-08-12 16:10:29 UTC
Description of problem:
Gear upgrade failed on the 53e931876cec0e9813000340 gear on ex-lrg-node1 with the error message:

CLIENT_ERROR: Current inodes 7 exceeds requested inodes 0

Upon further investigation we received the error:

bash: cannot create temp file for here-document: Disk quota exceeded


This issue turned out that the quota command was reporting fields differently by default for XFS vs ext4 filesystems.

Comment 1 Andy Goldstein 2014-08-12 16:14:22 UTC
https://github.com/openshift/origin-server/pull/5706

Comment 2 openshift-github-bot 2014-08-12 17:47:36 UTC
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/5e56bd661b88834900698241b2caa448114910f8
Update get_quota to handle grace values

Update get_quota to support output from the `quota` command that
includes values in the grace columns. These columns have been empty for
ext4 volumes, but with xfs volumes, they can have a value, and that was
causing get_quota to return incorrect values for certain fields. Add the
-p flag to the quota call so the grace columns always have a value.

Fix bug 1129394.

Comment 3 Meng Bo 2014-08-13 05:05:47 UTC
Checked on devenv_5068 with default ext4 fs,

[root@ip-10-179-184-67 ~]# quota --always-resolve 53eb0a9266aada46f400001b
Disk quotas for user 53eb0a9266aada46f400001b (uid 1000): 
     Filesystem  blocks   quota   limit   grace   files   quota   limit   grace
     /dev/xvda1    9208       0 1048576             222       0   80000        

[root@ip-10-179-184-67 /]# quota -p --always-resolve 53eb0a9266aada46f400001b
Disk quotas for user 53eb0a9266aada46f400001b (uid 1000): 
     Filesystem  blocks   quota   limit   grace   files   quota   limit   grace
     /dev/xvda1    9208       0 1048576       0     222       0   80000       0

[root@ip-10-179-184-67 /]# oo-devel-node get-quota -c 53eb0a9266aada46f400001b
Quota information for uuid: 53eb0a9266aada46f400001b
Filesystem:            /dev/xvda1
Blocks used:           9208
Soft limit for blocks: 0
Hard limit for blocks: 1048576
Inodes used:           222
Soft limit for inodes: 0
Hard limit for inodes: 80000

The get_quota works well, move bug to verified.


Note You need to log in before you can comment on or make changes to this bug.